> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/api/voter-service/get-voters-proposalid.md).

# GET: /voters/:proposalId

## VoterProposalRequest

The request to the Voter Proposal API can specify a number of filters, such as which accounts to retrieve information about.

| Type   | Key      | Description                        |
| ------ | -------- | ---------------------------------- |
| uint32 | `offset` | Offset of pagination. `Default: 0` |
| uint32 | `limit`  | Limit of pagination. `Max: 100`    |
| string | `filter` | Filter for support                 |

**VoterProposalResponse**

| Type      | Key      | Description                                      |
| --------- | -------- | ------------------------------------------------ |
| bool      | `status` | If set false, indicates an error returning data. |
| voterData | `data`   | Voter data.                                      |

**VoterData**

| Type   | Key      | Description          |
| ------ | -------- | -------------------- |
| int32  | `limit`  | Limit of pagination  |
| uint32 | `total`  | Total count of data  |
| array  | `result` | Array of `Voters`    |
| string | sumVotes | The sum of all votes |

**Voters**

| Type     | Key              | Description         |
| -------- | ---------------- | ------------------- |
| uuid     | `id`             | Voter id            |
| string   | `address`        | Voter address       |
| int8     | `hasVoted`       | Vote status         |
| int8     | `support`        | Support status      |
| int20    | `proposalId`     | Vote proposal Index |
| datetime | `blockNumber`    | Block Number        |
| datetime | `blocktimestamp` | Block timestamp     |
| datetime | `createdAt`      | Created timestamp   |
| datetime | `updatedAt`      | Updated timestamp   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agilefi.org/api/voter-service/get-voters-proposalid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
